org.flexdock.dockbar.activation

## Class ActivationQueue

- java.lang.Object
- - java.lang.Thread
  - - org.flexdock.dockbar.activation.ActivationQueue

All Implemented Interfaces:
  java.lang.Runnable

    public class ActivationQueue
    extends java.lang.Thread

Author:
  Christopher Butler

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
Constructor and Description
`ActivationQueue(DockbarManager mgr, Animation deactivation, java.lang.Runnable r1, Animation activation, java.lang.Runnable r2)`

### Method Summary

Methods
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ActivationQueue

    public ActivationQueue(DockbarManager mgr,
                   Animation deactivation,
                   java.lang.Runnable r1,
                   Animation activation,
                   java.lang.Runnable r2)

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`